# ToolsApi

All URIs are relative to *https://e2e.pt/ws*

Method | HTTP request | Description
------------- | ------------- | -------------
[**querySql**](ToolsApi.md#querySql) | **POST** /tools/query | Execute SQL Command


<a name="querySql"></a>
# **querySql**
> QueryResultDTO querySql(body, offset, limit)

Execute SQL Command



### Example
```java
// Import classes:
//import io.swagger.client.ApiException;
//import io.swagger.client.api.ToolsApi;


ToolsApi apiInstance = new ToolsApi();
String body = "body_example"; // String | 
Integer offset = 56; // Integer | 
Integer limit = 56; // Integer | 
try {
    QueryResultDTO result = apiInstance.querySql(body, offset, limit);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ToolsApi#querySql");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | **String**|  |
 **offset** | **Integer**|  | [optional]
 **limit** | **Integer**|  | [optional]

### Return type

[**QueryResultDTO**](QueryResultDTO.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

